foreach name [array names env STOOOP*] {unset env($name)}                                ;# reset any existing environment variables
set env(STOOOPCHECKPROCEDURES) {}
source stooop.tcl
namespace import stooop::*

### verify object identifier checking in procedure checking debug mode

## 1 is not a valid object identifier
## 2 is not a valid object identifier
## 3 is not a valid object identifier
## 4 is not a valid object identifier
## 5 is not a valid object identifier

class a {}
proc a::a {this} {}
proc a::p {this} {}
catch {a::p 1} message
puts $message

class A {
    proc A {this} {}
    proc p {this} {}
}
catch {A::p 2} message
puts $message

class b {}
class b::c {}
proc b::c::c {this} {}
proc b::c::p {this} {}
catch {b::c::p 3} message
puts $message

class B {
    class C {
        proc C {this} {}
        proc p {this} {}
    }
    catch {C::p 4} message
    puts $message
}
catch {B::C::p 5} message
puts $message
